import { HttpClient } from '@wix/sdk-types';
import { ListBookmarksResponse } from './events-schedule-v1-schedule-item-schedule-bookmarks.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function listBookmarks(httpClient: HttpClient): ListBookmarksSignature;
interface ListBookmarksSignature {
    /**
     * Retrieves a list of bookmarked schedule items for a current member.
     * @param - Event ID to which the schedule item belongs.
     */
    (eventId: string): Promise<ListBookmarksResponse>;
}
export declare function createBookmark(httpClient: HttpClient): CreateBookmarkSignature;
interface CreateBookmarkSignature {
    /**
     * Bookmarks a schedule item for a current member.
     * @param - Schedule item ID.
     * @param - Event ID to which the schedule item belongs.
     */
    (itemId: string, eventId: string): Promise<void>;
}
export declare function deleteBookmark(httpClient: HttpClient): DeleteBookmarkSignature;
interface DeleteBookmarkSignature {
    /**
     * Removes a schedule item bookmark for a current member.
     * @param - Schedule item ID.
     * @param - Event ID to which the schedule item belongs.
     */
    (itemId: string, eventId: string): Promise<void>;
}
export { AddScheduleItemRequest, AddScheduleItemResponse, CreateBookmarkRequest, CreateBookmarkResponse, Cursors, DeleteBookmarkRequest, DeleteBookmarkResponse, DeleteScheduleItemRequest, DeleteScheduleItemResponse, DiscardDraftRequest, DiscardDraftResponse, FacetCounts, GetScheduleItemRequest, GetScheduleItemResponse, ListBookmarksRequest, ListBookmarksResponse, ListScheduleItemsRequest, ListScheduleItemsResponse, Paging, PagingMetadataV2, PublishDraftRequest, PublishDraftResponse, QueryScheduleItemsRequest, QueryScheduleItemsResponse, QueryV2, QueryV2PagingMethodOneOf, RescheduleDraftRequest, RescheduleDraftResponse, ScheduleItem, ScheduleItemData, ScheduleStatus, SortOrder, Sorting, StateFilter, TimeInterval, UpdateScheduleItemRequest, UpdateScheduleItemResponse, } from './events-schedule-v1-schedule-item-schedule-bookmarks.universal.js';
